Subject: [Hipsec] Would HIP benefit by having a PAKE?

From: Robert Moskowitz <[email-masked]>
Date: Mon, 5 Aug 2019 14:26:45 -0400

As part of developing the "Trustworthy Multipurpose Remote ID", I am 
going to add new crypto algorithms along the lines that I have in 
draft-moskowitz-small-crypto.

The "open' question is that of a PAKE.  Would HIP benefit with a PAKE.  
I really don't see it, but since I am opening up the crypto closet, I 
felt I had to consider the work on PAKE that CFRG has been doing the 
past few years.

Keywrap as I have put into HIP DEX is a separate issue, which I do not 
believe (I could be wrong) PAKE would help with.

I am interested in other's thoughts wrt to PAKE and HIP.

thanks